TakeUndoCancel Component

StC_TakeCancel

Description

This component was developed for use in Wood Norton Studio C router panels. It provides a 3-level selector with overall TAKE and DESELECT buttons for use in logical package routing. There are enable/disable buttons for the video SDI router, the analogue audio router, and the AES audio router (part of Studer OnAir desk).

The component has several parameters that can be set at design time, and two parameters that are set at runtime. The BNCS device ID that holds the logical source and destination names is entered into the host script control "Instances" field.

The BNCS driver IDs for the crosspoint comma-delimited list, the SDI matrix, the analigue matrix and the AES matrix are enetered as Instance names in the relevant command fields. The active source and destination crosspoint numbers are sent via either another script or, more usually, via the connections engine.

The source numeric ID is sent as parameter "sourceID" and the destination ID is sent as parameter "destID". Using a BNCS "Name Grid" or "Dest Grid" control, set to report on Index change enables the connection engine to pass the index values. Index values less than 1 count as deslection indication from the source or destination.

When the user presses the "Deselect" button the component sends a "deselect=-1" to the host. The value of -1 can be directed to the highlight function of the "Name Grid" or "Dest Grid" causing them to deselect any current active selection.

Commands

Name | Type | Use
instance | mandatory | Instance name for package source and destination names.
sdiRouter | mandatory | Instance name for SDI router.
anlRouter | mandatory | Instance name for Analogue Audio router.
aesRouter | mandatory | Instance name for AES router.
xptRouter | mandatory | Instance name for BNCS device file that has the comma delimited crosspoint list.
bgndStyle | Optional | Statesheet name that defines the colour of the background panel.
takeHigh | Optional | Statesheet name for TAKE button high brightness toggle setting.
takeLow | Optional | Statesheet name for TAKE button low brightness toggle setting.
takeDouble | Optional | Flag that defines if the TAKE button requires a double push. Allowed values "True" and "False" (case insensitive). Default "True"
sourceID | Integer (ASCII) | Package index value for selected source. A 0 or -1 means source deselect.
destID | Integer (ASCII) | Package index value for selected destination. A 0 or -1 means destination deselect.

Notifications

Name | Use
deselect=<-1> | Sent to indicate user has completed an action that no longer needs source and destination indicies.

Stylesheets

Name | Use
None | No named stylesheets used by default

Developers Notes

Developed by Andy Woodhouse for use in Academy Wood Norton installations.
Copyright BBC 2017